org.hibernate.search.spi

## Enum IndexingMode

- java.lang.Object
- - java.lang.Enum<IndexingMode>
  - - org.hibernate.search.spi.IndexingMode

- All Implemented Interfaces:
    Serializable, Comparable<IndexingMode>

      public enum IndexingMode
      extends Enum<IndexingMode>

  Modes for triggering indexing of entities.
  Author:
    Gunnar Morling

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENT` Indexing is triggered automatically upon entity insertion, update etc.
    `MANUAL` Indexing is triggered explicitly.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexingMode` | `fromExternalRepresentation(String indexingMode)` Returns the `IndexingMode` matching the given external representation as specified via `Environment.INDEXING_STRATEGY`
    `String` | `toExternalRepresentation()` Returns the external representation of this indexing mode.
    `static IndexingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENT

          public static final IndexingMode EVENT

      Indexing is triggered automatically upon entity insertion, update etc.

    - #### MANUAL

          public static final IndexingMode MANUAL

      Indexing is triggered explicitly.

  - ### Method Detail

    - #### values

          public static IndexingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexingMode c : IndexingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromExternalRepresentation

          public static IndexingMode fromExternalRepresentation(String indexingMode)

      Returns the `IndexingMode` matching the given external representation as specified via `Environment.INDEXING_STRATEGY`
      Parameters:
        `indexingMode` - the indexing mode external representation
      Returns:
        the `IndexingMode`

    - #### toExternalRepresentation

          public String toExternalRepresentation()

      Returns the external representation of this indexing mode. Generally this enumeration itself should preferably be used for comparisons etc.
      Returns:
        the external representation as string

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved